AndroidManifest.xml – указанный для свойства 'manifest' не существует

Это ошибка, которую я получаю, и та, которая, по-видимому, не может быть удалена из того, что я просматривал в StackOverflow.

Error:A problem was found with the configuration of task ':checkDebugManifest'. > File '/Users/wasimsandhu/AndroidStudioProjects/Conjugation/src/main/AndroidManifest.xml' specified for property 'manifest' does not exist. 

Я постоянно получаю эту ошибку каждый раз, когда я перестраиваю проект или синхронизирую файлы Gradle. Я пробовал решения в различных других направлениях здесь безрезультатно.

Вот мой файл app / build.gradle:

 apply plugin: 'com.android.application' android { signingConfigs { config { // removed for this post } } compileSdkVersion 21 buildToolsVersion "20.0.0" defaultConfig { applicationId "com.wsandhu.conjugation" minSdkVersion 15 targetSdkVersion 19 versionCode 1 versionName "0.5" } buildTypes { release { runProguard false proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' signingConfig signingConfigs.config } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jar']) compile 'com.android.support:appcompat-v7:21.0.+' compile 'de.cketti.library.changelog:ckchangelog:1.2.1' compile 'com.nispok:snackbar:2.0.1' } 

И вот файл build.gradle в корневом каталоге:

 apply plugin: 'com.android.application' // Top-level build file where you can add configuration options common to all sub-projects/modules. buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:0.13.2' // NOTE: Do not place your application dependencies here; they belong // in the individual module build.gradle files } } allprojects { repositories { jcenter() } } android { compileSdkVersion 21 buildToolsVersion "20.0.0" defaultConfig { applicationId "com.wsandhu.conjugation" minSdkVersion 15 targetSdkVersion 19 versionCode 1 versionName "0.5" } } 

AndroidManifest.xml:

 <?xml version="1.0" encoding="utf-8"?> <manifest xmlns:android="http://schemas.android.com/apk/res/android" package="com.wsandhu.conjugation" > <application android:allowBackup="true" android:icon="@drawable/ic_launcher" android:label="@string/app_name" android:theme="@style/Theme.AppCompat.Light.NoActionBar" > <activity android:name=".MainActivity" android:label="@string/app_name" > <intent-filter> <action android:name="android.intent.action.MAIN" /> <category android:name="android.intent.category.LAUNCHER" /> </intent-filter> </activity> </application> </manifest> 

И вот файл оболочки градиента, если это важно:

 #Mon Nov 17 20:04:45 PST 2014 distributionBase=GRADLE_USER_HOME distributionPath=wrapper/dists zipStoreBase=GRADLE_USER_HOME zipStorePath=wrapper/dists distributionUrl=https\://services.gradle.org/distributions/gradle-2.1-all.zip 

Я заранее извиняюсь за плохое форматирование или если что-то неясно.

Удалите этот фрагмент кода из файла build.gradle в корневом каталоге

 apply plugin: 'com.android.application' 

а также

 android { compileSdkVersion 21 buildToolsVersion "20.0.0" defaultConfig { applicationId "com.wsandhu.conjugation" minSdkVersion 15 targetSdkVersion 19 versionCode 1 versionName "0.5" } } 

Как говорится, что:

// ПРИМЕЧАНИЕ. Не размещайте зависимостей вашего приложения здесь; Они принадлежат отдельному модулю build.gradle files

Это означает, что эта строка кода находится в файле gradle внутри вашей папки приложения.

Попробуйте сделать свой файл верхнего градиента следующим образом:

 // Top-level build file where you can add configuration options common to all sub-projects/modules. buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:1.5.0' } } allprojects { repositories { jcenter() } } 

Раньше у меня была такая же проблема. Поэтому я думаю, что это решит ваше дело.